Bug 50043 - xwd's -id option causes the -frame option to be ignored
Summary: xwd's -id option causes the -frame option to be ignored
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-26 09:28 UTC by Bob Dowling
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version: RHL 7.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-20 23:58:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for -frame when used with -id (788 bytes, patch)
2001-07-30 08:52 UTC, Mike A. Harris
no flags Details | Diff

Description Bob Dowling 2001-07-26 09:28:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2.10pwf i686)

Description of problem:


How reproducible:
Always

Steps to Reproduce:
1.Start an X app 
2."xwd -frame > one.xwd" and click on the app
3.Get the app's window id (I use the window info from fvwm2's icon manager)
4."xwd -frame -id 0xXXXXXXXX > two.xwd" and there's no need to click	

Actual Results:  one.xwd has the window manager decoration in the image.
two.xwd doesn't have it.
No stderr from xwd.

Expected Results:  I would expect one.xwd and two.xwd to be the same.

Additional info:

Window manager used was fvwm2: fvwm2-2.2.4-9
xwd used: XFree86-4.0.3-5
v4 X server used: vendor release number:    4003

Comment 1 Mike A. Harris 2001-07-30 08:32:18 UTC
A perusal of the xwd source shows frame_only is only tested for if
a user selects a window by hand.  I have made a patch which attempts to
fix this.  I'm adding it to my next build, however you might want to 
try it yourself so I am adding it here also.


Comment 2 Mike A. Harris 2001-07-30 08:52:02 UTC
Created attachment 25353 [details]
Fix for -frame when used with -id


Note You need to log in before you can comment on or make changes to this bug.